### Enumeration

# Qmi NasPlmnNameSpareBits

since: 1.18

#### Declaration

    enum Qmi.NasPlmnNameSpareBits

#### Description [src]

PLMN name spare bits in last octet of a network name. See 3GPP TS 24.008 section “Network Name information element”.

Available since: 1.18

#### Members

`QMI_NAS_PLMN_NAME_SPARE_BITS_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BIT_8`

  Bit 8 is spare.

  - Value: `1`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_78`

  Bits 7 - 8 are spare.

  - Value: `2`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_68`

  Bits 6 - 8 are spare.

  - Value: `3`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_58`

  Bits 5 - 8 are spare.

  - Value: `4`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_48`

  Bits 4 - 8 are spare.

  - Value: `5`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_38`

  Bits 3 - 8 are spare.

  - Value: `6`
  - Available since: 1.18
`QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_28`

  Bits 2 - 8 are spare.

  - Value: `7`
  - Available since: 1.18

#### Type functions

###### qmi_nas_plmn_name_spare_bits_get_string

Gets the nickname string for the `QmiNasPlmnNameSpareBits` specified at `val`.

since: 1.18